/*****************************************************************************
 * Filename:    cryptfs/actions.h                                            *
 * Description:                                                              *
 * Copyright:   2009 by Alexander Motzkau                                    *
 *****************************************************************************/

#ifndef __ACTIONS_H__
#define __ACTIONS_H__

#include "options.h"

enum bool check_action(struct action* action, enum bool def_access, struct configuration* config);
enum bool handle_action(char* action, struct map_options* call_override, enum bool def_access, enum bool first_call, struct configuration* config);
enum bool handle_commands(struct command *cmd, enum bool success, struct configuration* config);

#endif
